@@ -1,407 +1,6524 @@
+diff -rupN keepalived-1.2.7/.git/config keepalived-1.2.7-unicast/.git/config
+--- keepalived-1.2.7/.git/config 1970-01-01 01:00:00.000000000 +0100
++++ keepalived-1.2.7-unicast/.git/config 2013-05-24 10:12:36.390154700 +0200
+@@ -0,0 +1,12 @@
++[core]
++ repositoryformatversion = 0
++ filemode = true
++ bare = false
++ logallrefupdates = true
++ ignorecase = true
++[remote "origin"]
++ fetch = +refs/heads/*:refs/remotes/origin/*
++ url = https://github.com/rohara/keepalived.git
++[branch "master"]
++ remote = origin
++ merge = refs/heads/master
+diff -rupN keepalived-1.2.7/.git/description keepalived-1.2.7-unicast/.git/description
+--- keepalived-1.2.7/.git/description 1970-01-01 01:00:00.000000000 +0100
++++ keepalived-1.2.7-unicast/.git/description 2013-05-24 10:12:29.386754200 +0200
+@@ -0,0 +1 @@
++Unnamed repository; edit this file 'description' to name the repository.
+diff -rupN keepalived-1.2.7/.git/HEAD keepalived-1.2.7-unicast/.git/HEAD
+--- keepalived-1.2.7/.git/HEAD 1970-01-01 01:00:00.000000000 +0100
++++ keepalived-1.2.7-unicast/.git/HEAD 2013-05-24 10:12:36.373153800 +0200
+@@ -0,0 +1 @@
++ref: refs/heads/master
+diff -rupN keepalived-1.2.7/.git/hooks/applypatch-msg.sample keepalived-1.2.7-unicast/.git/hooks/applypatch-msg.sample
+--- keepalived-1.2.7/.git/hooks/applypatch-msg.sample 1970-01-01 01:00:00.000000000 +0100
++++ keepalived-1.2.7-unicast/.git/hooks/applypatch-msg.sample 2013-05-24 10:12:29.388754300 +0200
+@@ -0,0 +1,15 @@
++#!/bin/sh
++#
++# An example hook script to check the commit log message taken by
++# applypatch from an e-mail message.
++#
++# The hook should exit with non-zero status after issuing an
++# appropriate message if it wants to stop the commit. The hook is
++# allowed to edit the commit message file.
++#
++# To enable this hook, rename this file to "applypatch-msg".
++
++. git-sh-setup
++test -x "$GIT_DIR/hooks/commit-msg" &&
++ exec "$GIT_DIR/hooks/commit-msg" ${1+"$@"}
++:
+diff -rupN keepalived-1.2.7/.git/hooks/commit-msg.sample keepalived-1.2.7-unicast/.git/hooks/commit-msg.sample
+--- keepalived-1.2.7/.git/hooks/commit-msg.sample 1970-01-01 01:00:00.000000000 +0100
++++ keepalived-1.2.7-unicast/.git/hooks/commit-msg.sample 2013-05-24 10:12:29.389754300 +0200
+@@ -0,0 +1,24 @@
++#!/bin/sh
++#
++# An example hook script to check the commit log message.
++# Called by "git commit" with one argument, the name of the file
++# that has the commit message. The hook should exit with non-zero
++# status after issuing an appropriate message if it wants to stop the
++# commit. The hook is allowed to edit the commit message file.
++#
++# To enable this hook, rename this file to "commit-msg".
++
++# Uncomment the below to add a Signed-off-by line to the message.
++# Doing this in a hook is a bad idea in general, but the prepare-commit-msg
++# hook is more suited to it.
++#
++# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
++# grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"
++
++# This example catches duplicate Signed-off-by lines.
++
++test "" = "$(grep '^Signed-off-by: ' "$1" |
++ sort | uniq -c | sed -e '/^[ ]*1[ ]/d')" || {
++ echo >&2 Duplicate Signed-off-by lines.
++ exit 1
++}
+diff -rupN keepalived-1.2.7/.git/hooks/post-update.sample keepalived-1.2.7-unicast/.git/hooks/post-update.sample
+--- keepalived-1.2.7/.git/hooks/post-update.sample 1970-01-01 01:00:00.000000000 +0100
++++ keepalived-1.2.7-unicast/.git/hooks/post-update.sample 2013-05-24 10:12:29.391754500 +0200
+@@ -0,0 +1,8 @@
++#!/bin/sh
++#
++# An example hook script to prepare a packed repository for use over
++# dumb transports.
++#
++# To enable this hook, rename this file to "post-update".
++
++exec git update-server-info
+diff -rupN keepalived-1.2.7/.git/hooks/pre-applypatch.sample keepalived-1.2.7-unicast/.git/hooks/pre-applypatch.sample
+--- keepalived-1.2.7/.git/hooks/pre-applypatch.sample 1970-01-01 01:00:00.000000000 +0100
++++ keepalived-1.2.7-unicast/.git/hooks/pre-applypatch.sample 2013-05-24 10:12:29.393754600 +0200
+@@ -0,0 +1,14 @@
++#!/bin/sh
++#
++# An example hook script to verify what is about to be committed
++# by applypatch from an e-mail message.
++#
++# The hook should exit with non-zero status after issuing an
++# appropriate message if it wants to stop the commit.
++#
++# To enable this hook, rename this file to "pre-applypatch".
++
++. git-sh-setup
++test -x "$GIT_DIR/hooks/pre-commit" &&
++ exec "$GIT_DIR/hooks/pre-commit" ${1+"$@"}
++:
+diff -rupN keepalived-1.2.7/.git/hooks/pre-commit.sample keepalived-1.2.7-unicast/.git/hooks/pre-commit.sample
+--- keepalived-1.2.7/.git/hooks/pre-commit.sample 1970-01-01 01:00:00.000000000 +0100
++++ keepalived-1.2.7-unicast/.git/hooks/pre-commit.sample 2013-05-24 10:12:29.394754600 +0200
+@@ -0,0 +1,50 @@
++#!/bin/sh
++#
++# An example hook script to verify what is about to be committed.
++# Called by "git commit" with no arguments. The hook should
++# exit with non-zero status after issuing an appropriate message if
++# it wants to stop the commit.
++#
++# To enable this hook, rename this file to "pre-commit".
++
++if git rev-parse --verify HEAD >/dev/null 2>&1
++then
++ against=HEAD
++else
++ # Initial commit: diff against an empty tree object
++ against=4b825dc642cb6eb9a060e54bf8d69288fbee4904
++fi
++
++# If you want to allow non-ascii filenames set this variable to true.
++allownonascii=$(git config hooks.allownonascii)
++
++# Redirect output to stderr.
++exec 1>&2
++
++# Cross platform projects tend to avoid non-ascii filenames; prevent
++# them from being added to the repository. We exploit the fact that the
++# printable range starts at the space character and ends with tilde.
++if [ "$allownonascii" != "true" ] &&
++ # Note that the use of brackets around a tr range is ok here, (it's
++ # even required, for portability to Solaris 10's /usr/bin/tr), since
++ # the square bracket bytes happen to fall in the designated range.
++ test $(git diff --cached --name-only --diff-filter=A -z $against |
++ LC_ALL=C tr -d '[ -~]\0' | wc -c) != 0
++then
++ echo "Error: Attempt to add a non-ascii file name."
++ echo
++ echo "This can cause problems if you want to work"
++ echo "with people on other platforms."
++ echo
++ echo "To be portable it is advisable to rename the file ..."
++ echo
++ echo "If you know what you are doing you can disable this"
++ echo "check using:"
++ echo
++ echo " git config hooks.allownonascii true"
++ echo
++ exit 1
++fi
++
++# If there are whitespace errors, print the offending file names and fail.
++exec git diff-index --check --cached $against --
+diff -rupN keepalived-1.2.7/.git/hooks/prepare-commit-msg.sample keepalived-1.2.7-unicast/.git/hooks/prepare-commit-msg.sample
+--- keepalived-1.2.7/.git/hooks/prepare-commit-msg.sample 1970-01-01 01:00:00.000000000 +0100
++++ keepalived-1.2.7-unicast/.git/hooks/prepare-commit-msg.sample 2013-05-24 10:12:29.397754800 +0200
+@@ -0,0 +1,36 @@
++#!/bin/sh
++#
++# An example hook script to prepare the commit log message.
++# Called by "git commit" with the name of the file that has the
++# commit message, followed by the description of the commit
++# message's source. The hook's purpose is to edit the commit
++# message file. If the hook fails with a non-zero status,
++# the commit is aborted.
++#
++# To enable this hook, rename this file to "prepare-commit-msg".
++
++# This hook includes three examples. The first comments out the
++# "Conflicts:" part of a merge commit.
++#
++# The second includes the output of "git diff --name-status -r"
++# into the message, just before the "git status" output. It is
++# commented because it doesn't cope with --amend or with squashed
++# commits.
++#
++# The third example adds a Signed-off-by line to the message, that can
++# still be edited. This is rarely a good idea.
++
++case "$2,$3" in
++ merge,)
++ /usr/bin/perl -i.bak -ne 's/^/# /, s/^# #/#/ if /^Conflicts/ .. /#/; print' "$1" ;;
++
++# ,|template,)
++# /usr/bin/perl -i.bak -pe '
++# print "\n" . `git diff --cached --name-status -r`
++# if /^#/ && $first++ == 0' "$1" ;;
++
++ *) ;;
++esac
++
++# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
++# grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"
+diff -rupN keepalived-1.2.7/.git/hooks/pre-rebase.sample keepalived-1.2.7-unicast/.git/hooks/pre-rebase.sample
+--- keepalived-1.2.7/.git/hooks/pre-rebase.sample 1970-01-01 01:00:00.000000000 +0100
|